curl --request PATCH \
--url https://{region}.affinda.com/v3/collections/{identifier} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"autoValidationThreshold": 123,
"enableAutoValidationThreshold": false,
"fields": [
{
"label": "<string>",
"fields": [
{
"label": "<string>",
"dataPoint": "<string>",
"slug": "<string>",
"dataSource": "<string>",
"mapping": "<string>",
"mandatory": true,
"disabled": true,
"autoValidationThreshold": 123,
"showDropdown": true,
"displayRawText": true,
"dropNull": true,
"displayEnumValue": true,
"fields": "<array>"
}
]
}
],
"dateFormatFromDocument": true,
"extractorConfig": {
"resumeRedact": {
"redactHeadshot": true,
"redactPersonalDetails": true,
"redactWorkDetails": true,
"redactReferees": true,
"redactEducationDetails": true,
"redactLocations": true,
"redactDates": true,
"redactGender": true
}
},
"allowOpenai": false,
"trainsExtractor": true,
"disableConfirmationIfValidationRulesFail": false
}
'import requests
url = "https://{region}.affinda.com/v3/collections/{identifier}"
payload = {
"name": "<string>",
"autoValidationThreshold": 123,
"enableAutoValidationThreshold": False,
"fields": [
{
"label": "<string>",
"fields": [
{
"label": "<string>",
"dataPoint": "<string>",
"slug": "<string>",
"dataSource": "<string>",
"mapping": "<string>",
"mandatory": True,
"disabled": True,
"autoValidationThreshold": 123,
"showDropdown": True,
"displayRawText": True,
"dropNull": True,
"displayEnumValue": True,
"fields": "<array>"
}
]
}
],
"dateFormatFromDocument": True,
"extractorConfig": { "resumeRedact": {
"redactHeadshot": True,
"redactPersonalDetails": True,
"redactWorkDetails": True,
"redactReferees": True,
"redactEducationDetails": True,
"redactLocations": True,
"redactDates": True,
"redactGender": True
} },
"allowOpenai": False,
"trainsExtractor": True,
"disableConfirmationIfValidationRulesFail": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
autoValidationThreshold: 123,
enableAutoValidationThreshold: false,
fields: [
{
label: '<string>',
fields: [
{
label: '<string>',
dataPoint: '<string>',
slug: '<string>',
dataSource: '<string>',
mapping: '<string>',
mandatory: true,
disabled: true,
autoValidationThreshold: 123,
showDropdown: true,
displayRawText: true,
dropNull: true,
displayEnumValue: true,
fields: '<array>'
}
]
}
],
dateFormatFromDocument: true,
extractorConfig: {
resumeRedact: {
redactHeadshot: true,
redactPersonalDetails: true,
redactWorkDetails: true,
redactReferees: true,
redactEducationDetails: true,
redactLocations: true,
redactDates: true,
redactGender: true
}
},
allowOpenai: false,
trainsExtractor: true,
disableConfirmationIfValidationRulesFail: false
})
};
fetch('https://{region}.affinda.com/v3/collections/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"identifier": "mEFayXdO",
"name": "<string>",
"workspace": {
"identifier": "mEFayXdO",
"organization": {
"identifier": "mEFayXdO",
"name": "Grove Street King",
"userRole": "admin",
"avatar": "https://affinda-api.s3.amazonaws.com/media/org-avatar.png?AWSAccessKeyId=KEY&Signature=SIG",
"resthookSignatureKey": "465c6598bd34c0558f0ce256c43209d49fa85b0ff3e4c18b24e408b7563143ad",
"isTrial": true,
"validationToolConfig": {
"theme": {
"palette": {
"background": "<string>",
"text": {
"primary": "<string>",
"secondary": "<string>",
"disabled": "<string>"
},
"divider": "<string>",
"primary": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"secondary": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"success": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"annotation": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"error": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"info": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"warning": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
}
},
"typography": {
"fontFamily": "<string>",
"fontSize": "<string>",
"fontWeightRegular": "<string>",
"fontWeightMedium": "<string>",
"fontWeightBold": "<string>"
},
"borderRadius": 123,
"fontUrl": "<string>"
},
"hideActions": true,
"hideCollection": true,
"hideEditPages": true,
"hideExport": true,
"hideFilename": true,
"hideShowRawValues": true,
"hideReject": true,
"hideReparse": true,
"hideRunOcr": true,
"hideTags": true,
"hideWarnings": true,
"restrictDocumentSplitting": true,
"disableCurrencyFormatting": true,
"disableEditDocumentMetadata": true,
"disableManualAnnotationEditing": true,
"hideDocumentStatus": true
},
"showCustomFieldCreation": true,
"allowDataSourceRecordCreation": true
},
"name": "<string>"
},
"extractor": {
"identifier": "resume",
"name": "<string>",
"namePlural": "<string>",
"validatable": true,
"baseExtractor": {
"identifier": "resume",
"name": "<string>",
"namePlural": "<string>",
"validatable": true,
"isCustom": true,
"createdDt": "2023-11-07T05:31:56Z"
},
"organization": {
"identifier": "mEFayXdO",
"name": "Grove Street King",
"userRole": "admin",
"avatar": "https://affinda-api.s3.amazonaws.com/media/org-avatar.png?AWSAccessKeyId=KEY&Signature=SIG",
"resthookSignatureKey": "465c6598bd34c0558f0ce256c43209d49fa85b0ff3e4c18b24e408b7563143ad",
"isTrial": true,
"validationToolConfig": {
"theme": {
"palette": {
"background": "<string>",
"text": {
"primary": "<string>",
"secondary": "<string>",
"disabled": "<string>"
},
"divider": "<string>",
"primary": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"secondary": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"success": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"annotation": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"error": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"info": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"warning": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
}
},
"typography": {
"fontFamily": "<string>",
"fontSize": "<string>",
"fontWeightRegular": "<string>",
"fontWeightMedium": "<string>",
"fontWeightBold": "<string>"
},
"borderRadius": 123,
"fontUrl": "<string>"
},
"hideActions": true,
"hideCollection": true,
"hideEditPages": true,
"hideExport": true,
"hideFilename": true,
"hideShowRawValues": true,
"hideReject": true,
"hideReparse": true,
"hideRunOcr": true,
"hideTags": true,
"hideWarnings": true,
"restrictDocumentSplitting": true,
"disableCurrencyFormatting": true,
"disableEditDocumentMetadata": true,
"disableManualAnnotationEditing": true,
"hideDocumentStatus": true
},
"showCustomFieldCreation": true,
"allowDataSourceRecordCreation": true
},
"category": "Recruitment",
"isCustom": true,
"fieldGroups": [
{
"label": "<string>",
"fields": [
{
"label": "<string>",
"dataPoint": "<string>",
"slug": "<string>",
"dataSource": "<string>",
"mapping": "<string>",
"mandatory": true,
"disabled": true,
"autoValidationThreshold": 123,
"showDropdown": true,
"displayRawText": true,
"dropNull": true,
"displayEnumValue": true,
"fields": "<array>"
}
]
}
],
"createdDt": "2023-11-07T05:31:56Z",
"lastTrainedDt": "2023-11-07T05:31:56Z"
},
"autoValidationThreshold": 123,
"enableAutoValidationThreshold": false,
"autoValidateIfValidationRulesPass": false,
"fields": [
{
"label": "<string>",
"fields": [
{
"label": "<string>",
"dataPoint": "<string>",
"slug": "<string>",
"dataSource": "<string>",
"mapping": "<string>",
"mandatory": true,
"disabled": true,
"autoValidationThreshold": 123,
"showDropdown": true,
"displayRawText": true,
"dropNull": true,
"displayEnumValue": true,
"fields": "<array>"
}
]
}
],
"fieldsLayout": {
"defaultCategory": {
"label": "<string>",
"enabledFields": [
{
"label": "<string>",
"dataPoint": "<string>",
"dataSource": "<string>",
"mapping": "<string>",
"mandatory": true,
"autoValidationThreshold": 0.5,
"enableAutoValidationThreshold": true,
"showDropdown": true,
"displayEnumValue": true,
"hideEnumDetail": true,
"dropNull": true,
"enabledChildFields": "<array>",
"disabledChildFields": "<array>",
"slug": "<string>",
"displayRawText": true,
"fields": [
{}
]
}
],
"disabledFields": [
{
"label": "<string>",
"dataPoint": "<string>",
"dataSource": "<string>",
"mapping": "<string>",
"mandatory": true,
"autoValidationThreshold": 0.5,
"enableAutoValidationThreshold": true,
"showDropdown": true,
"displayEnumValue": true,
"hideEnumDetail": true,
"dropNull": true,
"enabledChildFields": "<array>",
"disabledChildFields": "<array>",
"slug": "<string>",
"displayRawText": true,
"fields": [
{}
]
}
]
},
"categories": [
{
"label": "<string>",
"enabledFields": [
{
"label": "<string>",
"dataPoint": "<string>",
"dataSource": "<string>",
"mapping": "<string>",
"mandatory": true,
"autoValidationThreshold": 0.5,
"enableAutoValidationThreshold": true,
"showDropdown": true,
"displayEnumValue": true,
"hideEnumDetail": true,
"dropNull": true,
"enabledChildFields": "<array>",
"disabledChildFields": "<array>",
"slug": "<string>",
"displayRawText": true,
"fields": [
{}
]
}
],
"disabledFields": [
{
"label": "<string>",
"dataPoint": "<string>",
"dataSource": "<string>",
"mapping": "<string>",
"mandatory": true,
"autoValidationThreshold": 0.5,
"enableAutoValidationThreshold": true,
"showDropdown": true,
"displayEnumValue": true,
"hideEnumDetail": true,
"dropNull": true,
"enabledChildFields": "<array>",
"disabledChildFields": "<array>",
"slug": "<string>",
"displayRawText": true,
"fields": [
{}
]
}
]
}
]
},
"fieldsConfigured": true,
"dateFormatFromDocument": true,
"extractorConfig": {
"resumeRedact": {
"redactHeadshot": true,
"redactPersonalDetails": true,
"redactWorkDetails": true,
"redactReferees": true,
"redactEducationDetails": true,
"redactLocations": true,
"redactDates": true,
"redactGender": true
}
},
"unvalidatedDocsCount": 1,
"confirmedDocsCount": 1,
"ingestEmail": "<string>",
"tailoredExtractorRequested": true,
"allowOpenai": false,
"trainsExtractor": true,
"disableConfirmationIfValidationRulesFail": false,
"autoRefreshValidationResults": true
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Update a collection
Update data of a collection.
curl --request PATCH \
--url https://{region}.affinda.com/v3/collections/{identifier} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"autoValidationThreshold": 123,
"enableAutoValidationThreshold": false,
"fields": [
{
"label": "<string>",
"fields": [
{
"label": "<string>",
"dataPoint": "<string>",
"slug": "<string>",
"dataSource": "<string>",
"mapping": "<string>",
"mandatory": true,
"disabled": true,
"autoValidationThreshold": 123,
"showDropdown": true,
"displayRawText": true,
"dropNull": true,
"displayEnumValue": true,
"fields": "<array>"
}
]
}
],
"dateFormatFromDocument": true,
"extractorConfig": {
"resumeRedact": {
"redactHeadshot": true,
"redactPersonalDetails": true,
"redactWorkDetails": true,
"redactReferees": true,
"redactEducationDetails": true,
"redactLocations": true,
"redactDates": true,
"redactGender": true
}
},
"allowOpenai": false,
"trainsExtractor": true,
"disableConfirmationIfValidationRulesFail": false
}
'import requests
url = "https://{region}.affinda.com/v3/collections/{identifier}"
payload = {
"name": "<string>",
"autoValidationThreshold": 123,
"enableAutoValidationThreshold": False,
"fields": [
{
"label": "<string>",
"fields": [
{
"label": "<string>",
"dataPoint": "<string>",
"slug": "<string>",
"dataSource": "<string>",
"mapping": "<string>",
"mandatory": True,
"disabled": True,
"autoValidationThreshold": 123,
"showDropdown": True,
"displayRawText": True,
"dropNull": True,
"displayEnumValue": True,
"fields": "<array>"
}
]
}
],
"dateFormatFromDocument": True,
"extractorConfig": { "resumeRedact": {
"redactHeadshot": True,
"redactPersonalDetails": True,
"redactWorkDetails": True,
"redactReferees": True,
"redactEducationDetails": True,
"redactLocations": True,
"redactDates": True,
"redactGender": True
} },
"allowOpenai": False,
"trainsExtractor": True,
"disableConfirmationIfValidationRulesFail": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
autoValidationThreshold: 123,
enableAutoValidationThreshold: false,
fields: [
{
label: '<string>',
fields: [
{
label: '<string>',
dataPoint: '<string>',
slug: '<string>',
dataSource: '<string>',
mapping: '<string>',
mandatory: true,
disabled: true,
autoValidationThreshold: 123,
showDropdown: true,
displayRawText: true,
dropNull: true,
displayEnumValue: true,
fields: '<array>'
}
]
}
],
dateFormatFromDocument: true,
extractorConfig: {
resumeRedact: {
redactHeadshot: true,
redactPersonalDetails: true,
redactWorkDetails: true,
redactReferees: true,
redactEducationDetails: true,
redactLocations: true,
redactDates: true,
redactGender: true
}
},
allowOpenai: false,
trainsExtractor: true,
disableConfirmationIfValidationRulesFail: false
})
};
fetch('https://{region}.affinda.com/v3/collections/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"identifier": "mEFayXdO",
"name": "<string>",
"workspace": {
"identifier": "mEFayXdO",
"organization": {
"identifier": "mEFayXdO",
"name": "Grove Street King",
"userRole": "admin",
"avatar": "https://affinda-api.s3.amazonaws.com/media/org-avatar.png?AWSAccessKeyId=KEY&Signature=SIG",
"resthookSignatureKey": "465c6598bd34c0558f0ce256c43209d49fa85b0ff3e4c18b24e408b7563143ad",
"isTrial": true,
"validationToolConfig": {
"theme": {
"palette": {
"background": "<string>",
"text": {
"primary": "<string>",
"secondary": "<string>",
"disabled": "<string>"
},
"divider": "<string>",
"primary": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"secondary": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"success": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"annotation": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"error": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"info": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"warning": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
}
},
"typography": {
"fontFamily": "<string>",
"fontSize": "<string>",
"fontWeightRegular": "<string>",
"fontWeightMedium": "<string>",
"fontWeightBold": "<string>"
},
"borderRadius": 123,
"fontUrl": "<string>"
},
"hideActions": true,
"hideCollection": true,
"hideEditPages": true,
"hideExport": true,
"hideFilename": true,
"hideShowRawValues": true,
"hideReject": true,
"hideReparse": true,
"hideRunOcr": true,
"hideTags": true,
"hideWarnings": true,
"restrictDocumentSplitting": true,
"disableCurrencyFormatting": true,
"disableEditDocumentMetadata": true,
"disableManualAnnotationEditing": true,
"hideDocumentStatus": true
},
"showCustomFieldCreation": true,
"allowDataSourceRecordCreation": true
},
"name": "<string>"
},
"extractor": {
"identifier": "resume",
"name": "<string>",
"namePlural": "<string>",
"validatable": true,
"baseExtractor": {
"identifier": "resume",
"name": "<string>",
"namePlural": "<string>",
"validatable": true,
"isCustom": true,
"createdDt": "2023-11-07T05:31:56Z"
},
"organization": {
"identifier": "mEFayXdO",
"name": "Grove Street King",
"userRole": "admin",
"avatar": "https://affinda-api.s3.amazonaws.com/media/org-avatar.png?AWSAccessKeyId=KEY&Signature=SIG",
"resthookSignatureKey": "465c6598bd34c0558f0ce256c43209d49fa85b0ff3e4c18b24e408b7563143ad",
"isTrial": true,
"validationToolConfig": {
"theme": {
"palette": {
"background": "<string>",
"text": {
"primary": "<string>",
"secondary": "<string>",
"disabled": "<string>"
},
"divider": "<string>",
"primary": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"secondary": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"success": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"annotation": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"error": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"info": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
},
"warning": {
"main": "<string>",
"light": "<string>",
"dark": "<string>",
"contrastText": "<string>"
}
},
"typography": {
"fontFamily": "<string>",
"fontSize": "<string>",
"fontWeightRegular": "<string>",
"fontWeightMedium": "<string>",
"fontWeightBold": "<string>"
},
"borderRadius": 123,
"fontUrl": "<string>"
},
"hideActions": true,
"hideCollection": true,
"hideEditPages": true,
"hideExport": true,
"hideFilename": true,
"hideShowRawValues": true,
"hideReject": true,
"hideReparse": true,
"hideRunOcr": true,
"hideTags": true,
"hideWarnings": true,
"restrictDocumentSplitting": true,
"disableCurrencyFormatting": true,
"disableEditDocumentMetadata": true,
"disableManualAnnotationEditing": true,
"hideDocumentStatus": true
},
"showCustomFieldCreation": true,
"allowDataSourceRecordCreation": true
},
"category": "Recruitment",
"isCustom": true,
"fieldGroups": [
{
"label": "<string>",
"fields": [
{
"label": "<string>",
"dataPoint": "<string>",
"slug": "<string>",
"dataSource": "<string>",
"mapping": "<string>",
"mandatory": true,
"disabled": true,
"autoValidationThreshold": 123,
"showDropdown": true,
"displayRawText": true,
"dropNull": true,
"displayEnumValue": true,
"fields": "<array>"
}
]
}
],
"createdDt": "2023-11-07T05:31:56Z",
"lastTrainedDt": "2023-11-07T05:31:56Z"
},
"autoValidationThreshold": 123,
"enableAutoValidationThreshold": false,
"autoValidateIfValidationRulesPass": false,
"fields": [
{
"label": "<string>",
"fields": [
{
"label": "<string>",
"dataPoint": "<string>",
"slug": "<string>",
"dataSource": "<string>",
"mapping": "<string>",
"mandatory": true,
"disabled": true,
"autoValidationThreshold": 123,
"showDropdown": true,
"displayRawText": true,
"dropNull": true,
"displayEnumValue": true,
"fields": "<array>"
}
]
}
],
"fieldsLayout": {
"defaultCategory": {
"label": "<string>",
"enabledFields": [
{
"label": "<string>",
"dataPoint": "<string>",
"dataSource": "<string>",
"mapping": "<string>",
"mandatory": true,
"autoValidationThreshold": 0.5,
"enableAutoValidationThreshold": true,
"showDropdown": true,
"displayEnumValue": true,
"hideEnumDetail": true,
"dropNull": true,
"enabledChildFields": "<array>",
"disabledChildFields": "<array>",
"slug": "<string>",
"displayRawText": true,
"fields": [
{}
]
}
],
"disabledFields": [
{
"label": "<string>",
"dataPoint": "<string>",
"dataSource": "<string>",
"mapping": "<string>",
"mandatory": true,
"autoValidationThreshold": 0.5,
"enableAutoValidationThreshold": true,
"showDropdown": true,
"displayEnumValue": true,
"hideEnumDetail": true,
"dropNull": true,
"enabledChildFields": "<array>",
"disabledChildFields": "<array>",
"slug": "<string>",
"displayRawText": true,
"fields": [
{}
]
}
]
},
"categories": [
{
"label": "<string>",
"enabledFields": [
{
"label": "<string>",
"dataPoint": "<string>",
"dataSource": "<string>",
"mapping": "<string>",
"mandatory": true,
"autoValidationThreshold": 0.5,
"enableAutoValidationThreshold": true,
"showDropdown": true,
"displayEnumValue": true,
"hideEnumDetail": true,
"dropNull": true,
"enabledChildFields": "<array>",
"disabledChildFields": "<array>",
"slug": "<string>",
"displayRawText": true,
"fields": [
{}
]
}
],
"disabledFields": [
{
"label": "<string>",
"dataPoint": "<string>",
"dataSource": "<string>",
"mapping": "<string>",
"mandatory": true,
"autoValidationThreshold": 0.5,
"enableAutoValidationThreshold": true,
"showDropdown": true,
"displayEnumValue": true,
"hideEnumDetail": true,
"dropNull": true,
"enabledChildFields": "<array>",
"disabledChildFields": "<array>",
"slug": "<string>",
"displayRawText": true,
"fields": [
{}
]
}
]
}
]
},
"fieldsConfigured": true,
"dateFormatFromDocument": true,
"extractorConfig": {
"resumeRedact": {
"redactHeadshot": true,
"redactPersonalDetails": true,
"redactWorkDetails": true,
"redactReferees": true,
"redactEducationDetails": true,
"redactLocations": true,
"redactDates": true,
"redactGender": true
}
},
"unvalidatedDocsCount": 1,
"confirmedDocsCount": 1,
"ingestEmail": "<string>",
"tailoredExtractorRequested": true,
"allowOpenai": false,
"trainsExtractor": true,
"disableConfirmationIfValidationRulesFail": false,
"autoRefreshValidationResults": true
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Path Parameters
Collection's identifier Uniquely identify a collection.
"mEFayXdO"
Body
Collection data to update
Show child attributes
Show child attributes
Show child attributes
Show child attributes
DMY, MDY, YMD Predict the date format from any dates in the document that is not ambiguous.
Extra configurations specific to an extractor.
Show child attributes
Show child attributes
Whether to allow OpenAI API to be used to assist in creating a model for this collection.
Whether this collection feeds documents into the extractor's training queue. This setting can only be toggled for custom extractors.
If True, users cannot validate documents with missing mandatory fields, or failing validation rules.
Response
Successfully updated collection data.
Uniquely identify a collection.
"mEFayXdO"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
DMY, MDY, YMD Predict the date format from any dates in the document that is not ambiguous.
Extra configurations specific to an extractor.
Show child attributes
Show child attributes
Number of unvalidated documents in the collection.
x >= 0Number of validated documents in the collection.
x >= 0When you send email to this address, any document attached in the body will be uploaded to this collection.
Whether a tailored extractor has been requested for this collection.
Whether to allow OpenAI API to be used to assist in creating a model for this collection.
Whether this collection feeds documents into the extractor's training queue. This setting can only be toggled for custom extractors.
If True, users cannot validate documents with missing mandatory fields, or failing validation rules.
If True, validation results are refreshed whenever annotations are changed.
Was this page helpful?